Skip to main content
POST
/
api
/
license
/
activate
Activate License
curl --request POST \
  --url https://api.example.com/api/license/activate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "license_key": "<string>"
}
'
{
  "success": true,
  "message": "<string>",
  "license": {
    "is_valid": true,
    "is_expired": true,
    "status": "<string>",
    "license_type": "<string>",
    "plan_tier": "trial",
    "license_key": "<string>",
    "expires_at": "2023-11-07T05:31:56Z",
    "days_remaining": 123,
    "features": {},
    "limits": {},
    "usage": {},
    "error": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json

Request to activate a license key.

license_key
string
required
Required string length: 10 - 2048

Response

Successful Response

Response after license activation.

success
boolean
required
message
string
required
license
LicenseStatusRead · object
required

Current license status and features.